Subject: Re: bug#26337: 26.0.50; Command to run tests with latest source

From: Glenn Morris <[email-masked]>
Date: Sun, 02 Apr 2017 11:27:52 -0400

Tino Calancha wrote:

> I often while debugging follow this workflow:
>
> 1) Make some changes in one branch.
> 2) Compile Emacs.
> 3) Run one test file with:
> M-& emacs -batch -l ert -l ? -f ert-run-tests-batch-and-exit RET

I use make for step 3. It seems natural after using it in step 2. Eg

cd test
make lisp/vc/ediff-ptch-tests.log

(till yesterday, it used to work without ".log" as well - see emacs-devel)

The test file names are completable using whatever your shell uses for
file name completion (eg alt-/ in bash). In emacs-25 they are completable
with bash TAB completion (from bash Makefile completion), which was nicer.

So personally I'm not sure I see the need to add an autoloaded ert
command to do this.